%define name pptpd
%define ver 1.0.1 
%define rel C1
%define prefix /usr

Summary: A PPTP server daemon started from init (/etc/rc.d/init.d/).
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Networking/Daemons
#Packager: Andy Worthington <christopherandrew@ou.edu>
Source: http://poptop.lineo.com/releases/%{name}-%{ver}.tar.gz
Patch: pptpd-init-script.patch
Patch1: pptpd-1.0.1-options.patch
Patch2: pptpd-1.0.1-iprange.patch
URL: http://poptop.lineo.com
Buildroot: /var/tmp/%{name}-root

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out
connections to pptp clients to become virtual members of the IP pool
owned by the pptp server.  In effect, these clients become virtual
members of the local subnet, regardless of what their real IP address
is.  A tunnel is built between the pptp server and client, and packets
from the subnet are wrapped and passed between server and client
similar to other C/S protocols.

%prep
%setup -q
%patch -p1 
%patch1 -p1 -b .options
%patch2 -p1 -b .iprange

%build
./configure --prefix=%{prefix}
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/ppp
make prefix=$RPM_BUILD_ROOT%{prefix} install
install -m 0644 samples/pptpd.conf $RPM_BUILD_ROOT/etc/pptpd.conf
install -m 0755 pptpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/pptpd
install -m 0755 pptp-options $RPM_BUILD_ROOT/etc/ppp/pptp-options
strip $RPM_BUILD_ROOT/%{prefix}/sbin/* || :

%post
OUTD="" ; for i in d manager ctrl ; do
    test -x /usr/bin/pptp$i && OUTD="$OUTD /usr/bin/pptp$i" ;
done
test -z "$OUTD" || \
{ echo "possible outdated executable detected; you should do run the following command:"; echo "rm -i $OUTD" ;}
/sbin/chkconfig --add pptpd

%preun
/sbin/chkconfig --del pptpd

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README* TODO html samples
/usr/sbin/pptpd
/usr/sbin/pptpctrl
/usr/man/man5/pptpd.conf.5.gz
/usr/man/man8/pptpd.8.gz
/usr/man/man8/pptpctrl.8.gz
/etc/rc.d/init.d/pptpd
%config /etc/pptpd.conf
%config /etc/ppp/pptp-options

%changelog
* Thu Aug 2 2001 Mike Waychison <michael.waychison@sun.com>
- added the pptp-options file that configures pppd
- added a patch that allows for full ipranges in conf file 
-  (eg: 192.168.1.10-192.168.1.20)

* Mon Oct 9 2000 Andy Worthington <christopherandrew@ou.edu>
- changed url and source to new website
- added man pages to files
- removed startup via inittab
- added startup via init (/etc/rc.d/init.d)
- updated to 1.0.1

* Tue Nov 23 1999 Tim Powers <timp@redhat.com>
- added "%config /etc/pptpd.conf" back to spec
- updated to 1.0.0

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- started changelog
- quiet setup
- changed prefix to be /usr instead of /usr/local
- added buildroot
- fixed %install section so that it uses buildroot
- updated source to 0.9.10
- built to be included into Powertools
- spec based heavily on spec by "Allan's Package-O-Matic Blenderfier"
